<?php
/////////////////////////////////////
date_default_timezone_set('America/Mexico_City');    // Choose local time
$FechaHora = date('d/m/Y g:i:s', time());
//echo "Post:<pre>";var_dump($_POST);echo "</pre>";
//echo "Get:<pre>";var_dump($_GET);echo "</pre>";
echo '.......................................................<br>Ult Refresh:'.$FechaHora.' / Current PHP version: ' . phpversion();

echo "<br>";echo "<br>";

require __DIR__ . '/ConvertionToolsAPI/autoload.php';//librerias
use \ConvertApi\ConvertApi;

//Convierte
$rutaarchivo="./submittal.html";//lo que entra y sale
$rutares="./ToMerge/0.pdf";

ConvertApi::setApiSecret($APIkey);
$result = ConvertApi::convert('pdf', [
        'File' => $rutaarchivo,
        'PageWidth' => '100',
        'PageHeight' => '150',
	     'ViewportHeight' => '800',
		'MarginTop' => '0',
        'MarginRight' => '0',
        'MarginBottom' => '0',
        'MarginLeft' => '0',
    ], 'html'
);
$result->saveFiles($rutares);

//Combina

//los primeros dos son los obligatorios, puedes cambiar $Done y $PDFs
$ToMerge= './ToMerge';//donde estan los archivos a combinar
$Merged ='./ToMerge/Merged/submittal.pdf';//donde se guarda y con que nombre
$Done = './ToMerge/Done';//donde se guardan los ya combinados en relacion $ToMerge
$PDFs  = array_diff(scandir($ToMerge), array('..', '.','Done','Merged'));//lista los PDFs excepto las carpetas

$i=0; foreach( $PDFs as $key=>$feach){  
    $PDFs[$key]=$ToMerge.'/'.$feach;
$i++;}
if( !empty($PDFs) ){
    //echo "<pre>";var_dump($PDFs);echo "</pre>";
    ConvertApi::setApiSecret($APIkey);
    $result = ConvertApi::convert('merge', ['Files' => $PDFs ], 'pdf');
    if($result->saveFiles($Merged)){
        echo '<a href="'.$Merged.'" target="_blank">Exito, click para ver archivo</a> <br>';
        $i=0; foreach( $PDFs as $key=>$feach){  
            $new=str_replace($ToMerge, $Done, $feach);
            rename($feach, $new);//esto mueve los archivos a la carpeta done. Si no hay archivos o hace nada...
            //echo $feach.' to '.$new.'<br>';
        $i++;}
    }else{echo "Error al convertir";}
}else{
    echo 'No hay archivos a combinar en '.$ToMerge;
}
